> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/documents-by-status.md).

# Documents By Status

## POST /api/Public/GetDocumentsByStatus/enc/GetDocumentsByStatusV2

> Documents by status v2 (encrypted)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetDocumentsByStatus"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto":{"type":"object","properties":{"kid":{"type":"string","nullable":true},"key":{"type":"string","nullable":true},"data":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetDocumentsByStatus/enc/GetDocumentsByStatusV2":{"post":{"tags":["GetDocumentsByStatus"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.EncryptedRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Documents by status v2 (encrypted)","operationId":"post_GetDocumentsByStatus_enc_GetDocumentsByStatusV2"}}}}
```

## GET /api/Public/GetDocumentsByStatus/GetTrackerPendingData

> Tracker pending data

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetDocumentsByStatus"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DocumentInformationDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DocumentInformationDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DocumentInformationDto":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"},"documentId":{"type":"integer","format":"int32","nullable":true},"documentName":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"statusId":{"type":"integer","format":"int32","nullable":true},"status":{"type":"string","nullable":true},"createdBy":{"type":"string","nullable":true},"createdById":{"type":"integer","format":"int32"},"noOfPages":{"type":"integer","format":"int32","nullable":true},"documentSize":{"type":"string","nullable":true},"signerNames":{"type":"string","nullable":true},"totalSigners":{"type":"integer","format":"int32","nullable":true},"completedSigners":{"type":"integer","format":"int32","nullable":true},"isOwner":{"type":"boolean"},"nextSignerName":{"type":"string","nullable":true},"nextSignerOrder":{"type":"integer","format":"int32","nullable":true},"transactionId":{"type":"string","nullable":true},"hasAttachments":{"type":"boolean"},"lastSignedBy":{"type":"string","nullable":true},"lastSignedOn":{"type":"string","format":"date-time","nullable":true},"initaitedBy":{"type":"string","nullable":true},"uploadTime":{"type":"string","nullable":true},"declinedOn":{"type":"string","nullable":true},"declinedBy":{"type":"string","nullable":true},"remarks":{"type":"string","nullable":true},"recalledOn":{"type":"string","nullable":true},"voidedOn":{"type":"string","nullable":true},"purgedOn":{"type":"string","nullable":true},"inactivedOn":{"type":"string","nullable":true},"thumbnailBase64":{"type":"string","nullable":true},"envelopNo":{"type":"string","nullable":true},"category":{"type":"string","nullable":true},"noofdocuments":{"type":"integer","format":"int32"},"noofAttachments":{"type":"integer","format":"int32"},"documents":{"type":"string","nullable":true},"noOfComments":{"type":"integer","format":"int32"},"originatorId":{"type":"integer","format":"int32"},"templateId":{"type":"integer","format":"int32"},"workflowType":{"type":"integer","format":"int32"},"menuName":{"type":"string","nullable":true},"hasNeslError":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/GetDocumentsByStatus/GetTrackerPendingData":{"get":{"tags":["GetDocumentsByStatus"],"parameters":[{"name":"statusId","in":"query","schema":{"type":"string"}},{"name":"pageNumber","in":"query","schema":{"type":"string"}},{"name":"year","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DocumentInformationDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DocumentInformationDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DocumentInformationDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Tracker pending data","operationId":"get_GetDocumentsByStatus_GetTrackerPendingData"}}}}
```

## POST /api/Public/GetDocumentsByStatus/GetDocumentsByStatusV2

> Documents by status v2

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetDocumentsByStatus"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.GetDocumentsByStatusRequestDto":{"required":["pageNumber","status"],"type":"object","properties":{"status":{"minLength":1,"pattern":"^(pending|drafts|declined|recalled|completed|deleted|cosign)$","type":"string"},"pageNumber":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"pageSize":{"maximum":100,"minimum":1,"type":"integer","format":"int32"},"selectedYear":{"type":"string","nullable":true},"docName":{"type":"string","nullable":true},"docOwner":{"type":"string","nullable":true},"startDate":{"type":"string","format":"date-time","nullable":true},"endDate":{"type":"string","format":"date-time","nullable":true},"lastSignedBy":{"type":"string","nullable":true},"completedDate":{"type":"string","format":"date-time","nullable":true},"completedEndDate":{"type":"string","format":"date-time","nullable":true},"declinedBy":{"type":"string","nullable":true},"declinedDate":{"type":"string","format":"date-time","nullable":true},"declineEnddDate":{"type":"string","format":"date-time","nullable":true},"recalledDate":{"type":"string","format":"date-time","nullable":true},"recalledEndDate":{"type":"string","format":"date-time","nullable":true},"inactiveDate":{"type":"string","format":"date-time","nullable":true},"inactiveEndDate":{"type":"string","format":"date-time","nullable":true},"expiryFromDate":{"type":"string","format":"date-time","nullable":true},"expiryToDate":{"type":"string","format":"date-time","nullable":true},"purgedDate":{"type":"string","format":"date-time","nullable":true},"voidedDate":{"type":"string","format":"date-time","nullable":true},"templateName":{"type":"string","nullable":true},"sendImageUrl":{"type":"boolean","nullable":true},"categoryName":{"type":"string","nullable":true},"documentNumber":{"type":"string","nullable":true},"referenceno":{"type":"string","nullable":true},"signedDate":{"type":"string","format":"date-time","nullable":true},"customstatus":{"type":"string","nullable":true},"isSearch":{"type":"boolean"},"donotRequireFlexiform":{"type":"boolean","nullable":true},"sortBy":{"type":"string","nullable":true},"isAscending":{"type":"boolean"}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto":{"type":"object","properties":{"documentId":{"type":"integer","format":"int32","nullable":true},"noofdocuments":{"type":"integer","format":"int32","nullable":true},"noofAttachments":{"type":"integer","format":"int32","nullable":true},"noOfComments":{"type":"integer","format":"int32","nullable":true},"originatorId":{"type":"integer","format":"int32","nullable":true},"templateId":{"type":"integer","format":"int32","nullable":true},"workflowType":{"type":"integer","format":"int32","nullable":true},"workFlowId":{"type":"integer","format":"int32"},"initaitedBy":{"type":"string","nullable":true},"uploadTime":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"lastSignedOn":{"type":"string","nullable":true},"lastSignedBy":{"type":"string","nullable":true},"declinedOn":{"type":"string","nullable":true},"declinedBy":{"type":"string","nullable":true},"remarks":{"type":"string","nullable":true},"recalledOn":{"type":"string","nullable":true},"voidedOn":{"type":"string","nullable":true},"purgedOn":{"type":"string","nullable":true},"inactivedOn":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"thumbnailBase64":{"type":"string","nullable":true},"referenceNo":{"type":"string","nullable":true},"envelopNo":{"type":"string","nullable":true},"category":{"type":"string","nullable":true},"documents":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/GetDocumentsByStatus/GetDocumentsByStatusV2":{"post":{"tags":["GetDocumentsByStatus"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.GetDocumentsByStatusRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.TrackerDocumentDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"Documents by status v2","operationId":"post_GetDocumentsByStatus_GetDocumentsByStatusV2"}}}}
```
